{
   "name": "@hexlet/code",
   "version": "0.0.1",
   "description": "A simple fastify server that should be run inside Vagrant",
   "main": "server/index.js",
   "scripts": {
      "test": "node -r dotenv/config ./node_modules/jest/bin/jest.js",
      "prebuild": "rm -rf dist",
      "build-configs": "babel webpack.config.babel.js --out-dir dist",
      "build-db": "cp knexfile.js dist && NODE_ENV=production node -r dotenv/config ./node_modules/knex/bin/cli.js migrate:latest",
      "build-server": "NODE_ENV=production babel server --out-dir dist/server --source-maps inline && cp -r server/views dist/server/views",
      "build-frontend": "NODE_ENV=production webpack --mode production",
      "build": "npm run build-configs && npm run build-frontend && npm run build-server && npm run build-db",
      "start": "NODE_ENV=production node -r dotenv/config dist/server/bin/server.js"
   },
   "engines": {
      "node": "14.x"
   },
   "jest": {
      "modulePathIgnorePatterns": [
         "<rootDir>/__tests__/helpers/"
      ]
   },
   "author": "foofaev",
   "license": "ISC",
   "dependencies": {
      "bootstrap": "^4.6.0",
      "dotenv": "^8.2.0",
      "fastify": "^3.14.2",
      "fastify-error-page": "^4.0.0",
      "fastify-flash": "^2.0.2",
      "fastify-formbody": "^5.0.0",
      "fastify-method-override": "^1.5.4",
      "fastify-objectionjs": "^0.3.1",
      "fastify-passport": "^0.4.2",
      "fastify-reverse-routes": "^2.0.0",
      "fastify-secure-session": "^2.3.1",
      "fastify-sensible": "^3.1.1",
      "fastify-static": "^4.0.1",
      "i18next": "^20.2.1",
      "jquery": "^3.6.0",
      "knex": "^0.21.19",
      "lodash": "^4.17.21",
      "mini-css-extract-plugin": "^1.4.1",
      "objection": "^2.2.15",
      "objection-unique": "^1.2.1",
      "pg": "^8.6.0",
      "pino-pretty": "^4.7.1",
      "point-of-view": "^4.14.0",
      "pug": "^3.0.2",
      "qs": "^6.10.1",
      "webpack": "^5.31.0"
   },
   "devDependencies": {
      "@babel/cli": "^7.13.14",
      "@babel/core": "^7.13.14",
      "@babel/node": "^7.13.13",
      "@babel/preset-env": "^7.13.12",
      "@jest/globals": "^26.6.2",
      "@types/jest": "^26.0.22",
      "@types/node": "^14.14.37",
      "babel-eslint": "^10.1.0",
      "babel-jest": "^26.6.3",
      "babel-loader": "^8.2.2",
      "css-loader": "^5.2.0",
      "eslint": "^7.23.0",
      "eslint-config-airbnb-base": "^14.2.1",
      "eslint-plugin-import": "^2.22.1",
      "eslint-plugin-jest": "^24.3.4",
      "jest": "^26.6.3",
      "jest-cli": "^26.6.3",
      "nodemon": "^2.0.7",
      "style-loader": "^2.0.0",
      "webpack-cli": "^4.6.0",
      "webpack-dev-server": "^3.11.2"
   }
}
